# The Subscription object

### The Subscription object

```json
{
  "id": "sub_1MowQVLkdIwHu7ixeRlqHVzs",
  "object": "subscription",
  "application": null,
  "application_fee_percent": null,
  "automatic_tax": {
    "enabled": false,
    "liability": null
  },
  "billing_cycle_anchor": 1679609767,
  "cancel_at": null,
  "cancel_at_period_end": false,
  "canceled_at": null,
  "cancellation_details": {
    "comment": null,
    "feedback": null,
    "reason": null
  },
  "collection_method": "charge_automatically",
  "created": 1679609767,
  "currency": "usd",
  "customer": "cus_Na6dX7aXxi11N4",
  "days_until_due": null,
  "default_payment_method": null,
  "default_source": null,
  "default_tax_rates": [],
  "description": null,
  "discounts": null,
  "ended_at": null,
  "invoice_settings": {
    "issuer": {
      "type": "self"
    }
  },
  "items": {
    "object": "list",
    "data": [
      {
        "id": "si_Na6dzxczY5fwHx",
        "object": "subscription_item",
        "created": 1679609768,
        "current_period_end": 1682288167,
        "current_period_start": 1679609767,
        "current_trial": null,
        "metadata": {},
        "plan": {
          "id": "price_1MowQULkdIwHu7ixraBm864M",
          "object": "plan",
          "active": true,
          "amount": 1000,
          "amount_decimal": "1000",
          "billing_scheme": "per_unit",
          "created": 1679609766,
          "currency": "usd",
          "discounts": null,
          "interval": "month",
          "interval_count": 1,
          "livemode": false,
          "metadata": {},
          "nickname": null,
          "product": "prod_Na6dGcTsmU0I4R",
          "tiers_mode": null,
          "transform_usage": null,
          "trial_period_days": null,
          "usage_type": "licensed"
        },
        "price": {
          "id": "price_1MowQULkdIwHu7ixraBm864M",
          "object": "price",
          "active": true,
          "billing_scheme": "per_unit",
          "created": 1679609766,
          "currency": "usd",
          "custom_unit_amount": null,
          "livemode": false,
          "lookup_key": null,
          "metadata": {},
          "nickname": null,
          "product": "prod_Na6dGcTsmU0I4R",
          "recurring": {
            "interval": "month",
            "interval_count": 1,
            "trial_period_days": null,
            "usage_type": "licensed"
          },
          "tax_behavior": "unspecified",
          "tiers_mode": null,
          "transform_quantity": null,
          "type": "recurring",
          "unit_amount": 1000,
          "unit_amount_decimal": "1000"
        },
        "quantity": 1,
        "subscription": "sub_1MowQVLkdIwHu7ixeRlqHVzs",
        "tax_rates": []
      }
    ],
    "has_more": false,
    "total_count": 1,
    "url": "/v1/subscription_items?subscription=sub_1MowQVLkdIwHu7ixeRlqHVzs"
  },
  "latest_invoice": "in_1MowQWLkdIwHu7ixuzkSPfKd",
  "livemode": false,
  "metadata": {},
  "next_pending_invoice_item_invoice": null,
  "on_behalf_of": null,
  "pause_collection": null,
  "payment_settings": {
    "payment_method_options": null,
    "payment_method_types": null,
    "save_default_payment_method": "off"
  },
  "pending_invoice_item_interval": null,
  "pending_setup_intent": null,
  "pending_update": null,
  "schedule": null,
  "start_date": 1679609767,
  "status": "active",
  "test_clock": null,
  "transfer_data": null,
  "trial_end": null,
  "trial_settings": {
    "end_behavior": {
      "missing_payment_method": "create_invoice",
      "billing_cycle_anchor": "now"
    }
  },
  "trial_start": null
}
```

- `cancellation_details` (object, nullable)
  Details about why this subscription was cancelled

  - `cancellation_details.comment` (string, nullable)
    Additional comments about why the user canceled the subscription, if the subscription was canceled explicitly by the user.

  - `cancellation_details.feedback` (enum, nullable)
    The customer submitted reason for why they canceled, if the subscription was canceled explicitly by the user.
Possible enum values:
    - `customer_service`
      Customer service was lacking

    - `low_quality`
      Quality was lacking

    - `missing_features`
      I need more features

    - `other`
      Other reason

    - `switched_service`
      I found an alternative

    - `too_complex`
      It was too complex to use

    - `too_expensive`
      It’s too expensive

    - `unused`
      I no longer need it

  - `cancellation_details.feedback_option` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
    Customized feedback options that provide deeper insight into why the subscription was canceled, if the subscription was canceled explicitly by the user.

  - `cancellation_details.reason` (enum, nullable)
    Why this subscription was canceled.
Possible enum values:
    - `canceled_by_retention_policy`
      Canceled because our [retention policy](https://support.stripe.com/questions/test-mode-subscription-data-retention) automatically expires subscriptions with `livemode: false`.

    - `cancellation_requested`
      Canceled explicitly through the API or Dashboard.

    - `payment_disputed`
      Canceled automatically after a dispute was opened, according to your [billing settings](https://dashboard.stripe.com/settings/billing/subscriptions).

    - `payment_failed`
      Canceled automatically after payment failure, according to your [billing settings](https://dashboard.stripe.com/settings/billing/subscriptions).
